Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.transport
Class PKIRequestTCPMsg

`java.lang.Object
oracle.security.crypto.cmp.transport.TCPMessage
oracle.security.crypto.cmp.transport.PKIRequestTCPMsg`

All Implemented Interfaces:
  oracle.security.crypto.util.Streamable

public class PKIRequestTCPMsg
extends TCPMessage

TCP-based protocol message containing an end-entity CMP request used to initiate a protocol message exchange.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`TCPMessage.Flag, TCPMessage.Type, TCPMessage.Version`

Constructor Summary
`PKIRequestTCPMsg(java.io.InputStream is)`
`PKIRequestTCPMsg(PKIMessage pkiMsg)` Create a new `PKIRequestTCPMsg` with the given `PKIMessage` and the default version of `TCPMessage.Version.CMP2000`.
`PKIRequestTCPMsg(TCPMessage.Version version, PKIMessage pkiMsg)` Create a new `PKIRequestTCPMsg` with the given version and `PKIMessage`.

Method Summary
`PKIMessage` | `getPKIMessage()`
`TCPMessage.Type` | `getType()` Get the TCP-based message type.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`getVersion, hasFlag, input, inputInstance, length, output, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKIRequestTCPMsg

    public PKIRequestTCPMsg(PKIMessage pkiMsg)

  Create a new `PKIRequestTCPMsg` with the given `PKIMessage` and the default version of `TCPMessage.Version.CMP2000`.

### PKIRequestTCPMsg

    public PKIRequestTCPMsg(TCPMessage.Version version,
                            PKIMessage pkiMsg)

  Create a new `PKIRequestTCPMsg` with the given version and `PKIMessage`.

### PKIRequestTCPMsg

    public PKIRequestTCPMsg(java.io.InputStream is)
                     throws java.io.IOException

Method Detail

### getType

    public TCPMessage.Type getType()

  Description copied from class: `TCPMessage`
  Get the TCP-based message type.
  Specified by:
    `getType` in class `TCPMessage`

### getPKIMessage

    public PKIMessage getPKIMessage()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.